MySQL Connector/C++ 1.1.4 发布

oschina
 oschina
发布于 2014年08月01日
收藏 13

MySQL Connector/ODBC 是 MySQL 数据库的官方C++驱动程序。

MySQL Connector/C++ 1.1.4 发布,此版本的二进制版本需要使用 Boost 1.54.0 编译。

新增的特性和改进

  • Connector/C++ 支持以下的连接选项:sslVerify (boolean),sslCRL (string) 和 sslCRLPath (string)。(Bug #18461451)

  • Connector/C++ 新增函数提供模式,表和列的字符集和结果集的校对元数据 :(Bug #72698, Bug #18803345)

    • ResultSet * DatabaseMetaData::getSchemaCollation(const sql::SQLString& catalog, const sql::SQLString&schemaPattern)

    • ResultSet * DatabaseMetaData::getSchemaCharset(const sql::SQLString& catalog, const sql::SQLString& schemaPattern)

    • ResultSet * DatabaseMetaData::getTableCollation(const sql::SQLString& catalog, const sql::SQLString&schemaPattern,const sql::SQLString&tableNamePattern)

    • ResultSet * DatabaseMetaData::getTableCharset(const sql::SQLString& catalog, const sql::SQLString&schemaPattern, const sql::SQLString&tableNamePattern)

    • SQLString ResultSetMetaData::getColumnCollation(unsigned int columnIndex)

    • SQLString ResultSetMetaData::getColumnCharset(unsigned int columnIndex)

  • Connector/C++ 支持 MYSQL_OPT_CONNECT_ATTR_ADD 选项,能接收一个 std::map 参数。(Bug #72697, Bug #18803313)

  • Connector/C++ 支持一个 useLegacyAuth  连接选项 (Bug #69492, Bug #16970753)

  • Connector/C++ 编译和链接到 Connector/C 6.1.5 而不是 libmysql

Bugs 修复

  • MySQL_ResultSetMetaData::getColumnTypeName()returned UNKNOWN for LONG_BLOB fields.  (Bug #72700, Bug #18803414)

  • Connector/C++ version-information methods have been revised to return the correct values. (Bug #66975, Bug #14680878)

  • Definitions for character sets and collations were added  (utf8mb4 in particular).  (Bug #71606, Bug #18193771)


本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:MySQL Connector/C++ 1.1.4 发布
加载中

最新评论(5

b
bluesky4cn
大大。。 我下载了一个1.5,res->getstring()的时候,抛异常啊
叶秀兰
叶秀兰

引用来自“航海家”的评论

此版本的二进制版本需要使用 Boost 1.5.4.0 编译

明显是1.54,挑了个错,@红薯 给我发个纪念奖吧。

引用来自“红薯”的评论

@叶秀兰
已修改,原文里面也是错的:)
红薯
红薯

引用来自“航海家”的评论

此版本的二进制版本需要使用 Boost 1.5.4.0 编译

明显是1.54,挑了个错,@红薯 给我发个纪念奖吧。
@叶秀兰
-土星-
-土星-
此版本的二进制版本需要使用 Boost 1.5.4.0 编译

明显是1.54,挑了个错,@红薯 给我发个纪念奖吧。
Injection
Injection
能连接http通道吗
返回顶部
顶部